AutoCAD Inventor :: How To Change Ratio Size Of A Part
Nov 30, 2012How do you change the ratio size of a part. I have a part and made it just a bit smaller than the constraints say. I want to up the ratio of it. How?
View 3 RepliesHow do you change the ratio size of a part. I have a part and made it just a bit smaller than the constraints say. I want to up the ratio of it. How?
View 3 RepliesI'm looking for a way to change the size of a custom content center part via ilogic. I found a way to replace them on this forum but this is not ideal for, because that creates a new part every time i change the size of the part.
View 2 Replies View RelatedThis code works with no errors but does not change the text size. A user can over ride the text size (Font size) so I'm hoping it is possible thru code.
Dim oSketch As Inventor.Sketch
Set oSketch = oPartDoc.ComponentDefinition.Sketches("Sketch1")
Dim oText As Inventor.TextBox
Set oText = oSketch.TextBoxes.AddByRectangle(pnt1, pnt2)
oText.Style.FontSize = 0.1
I`m looking for the iLogic code that can change one parameter (user defined) for each (ipt) part in assembly (iam)
The one below doesn`t work.
Sub Main Dim oApp As Inventor.Application = ThisApplication Dim oAssy As Inventor.AssemblyDocument = oApp.ActiveDocument For Each oSubDoc as Inventor.Document In oAssy.AllReferencedDocuments On Error Resume Next Parameter(oSubDoc, "FH") = 15.26 Next End Sub
After Part is inserted into an assembly and after the Part is changed ( say the length from 16.25 to 17.75), How do I auto change the "Part Number" to match this new length in the parts list?
View 6 Replies View RelatedI have created a ilogic rule that should set the size and the cut length of my parts. Most of the time the rule behave as I want it to. But sometime it gives me a error. See attached picture. By the way, I have included this rule in my custom content center parts (beam's etc). The rule is:
'Turn off workfeatures
ThisDoc.Document.ObjectVisibility.AllWorkFeatures = False
'check if the part has any geometry
If Measure.ExtentsLength="0" Then
[code]........
Is there any better method to find the overall size of a part model? I tried Range Box method and that gives some inaccuracy if the model have loft feature and fillet on that. But if I use GetExistingFacets the size gives more accurate. At the same time in a round part model with a cut, the GetExistingFacets give inaccuracy and range box method gives better result. Below is the X, Y, Z sizes of the two models with the above mentioned methods.
Round Part (Part1)
Measured with GetExistingFacets method = 129.934196472168 x 126.422719955444 x 25
Measured with Range Box method = 130 x 126.514225996919 x 25
Rectangular Part (Part2)
Measured with GetExistingFacets method = 300 x 300 x 30.0000286102295
Measured with Range Box method = 300 x 300 x 30.4094903224854
find attached part models which I used.
why I have a part file that is almost 12MB in size yet it contains absolutely no features? I would attach the part but it's too big to upload.
View 2 Replies View RelatedIs there a way to default to a standard hole size when starting a new part? ie. If you mostly place 10mm dia holes can this size be configured to be default in lieu of 3mm on the hole dialogue box.
View 5 Replies View RelatedInventor 2013 sp1
i want to control the scales of my idw views based on the parts size.
Heres a short intro to what we do, using design assistant we copy an existing project to a new project folder and start designing using the old project as a "template" for the new job.
So, lets say the project i just copied has a part that is 100" "tall", on my drawing sheet the view scale is set to .05 and the view fits nicely on our 8 1/2x11 portrait layout.
Now, the new project's part is only 24" "tall" and using a scale of .05 is no good at all, i need to scale the view up so it will fit nicely in the same layout. This also applies to the associated detail and section views that are on the same sheet.
OK then, Im thinking there should be a way to say if dimx is >=100 then view scale is x and so on if the part is smaller and i would like to do this with the details/sections.
As the pics show, when i change to a smaller size/dia, the views scale needs to be increased. How can this be done... (we do not use vault)
I have an assembly of stair made from steel. There are lots of part the same. Is there a way to make a hole (inside assembly) to one and that hole would appear on all of them.
And another problem, how can I made cut (inside assembly) through more then one part so that would affect a part also when I open it alone.
I have design tree like this:
Main Assembly
L Sub Assembly1
L Sub Assembly 2
L Sub Assembly 3
L part 1
in part i have a parameter name ("Panjang")... how to control "Panjang"?. I cannot access a part parameter in Sub-assembly.
[URL]
I'm trying to change the display name of part at the part level (not an occurrence in an assembly). After the part file is saved initially I'm running an ilogic routine that assigns a "special" part number (not the same as the file name). I can get the part number into the PN iproperty easily but I can't find a way to programmatically change the display name in the top browser node. Please see attached for clarification.
View 4 Replies View RelatedIn solidworks, if I have several similar parts to draw, I can draw one part and annotate it and then to save time and effort I can save the drawing as one of the other parts and then change the part reference in the drawing as I open it up.
View 7 Replies View RelatedHow to add a virtual part from an excel list to assembly using vb.net plugin. I`d like to know how to change i Properties of the virtual part through vb.net.
The iLogic code that I would typically use is:
Dim occs As ComponentOccurrencesoccs = asmDoc.ComponentDefinition.OccurrencesDim identity As Matrixidentity = ThisApplication.TransientGeometry.CreateMatrix
Dim virtOcc As ComponentOccurrenceIf v_qty >= 1 ThenvirtOcc = occs.AddVirtual(sVirtPart, identity) Try iProperties.Value(sVirtPart & ":1", "Project", "Description") = oProp1iProperties.Value(sVirtPart & ":1", "Summary", "Title") = oProp1 Catch End Try.......
so for the plugin I need to re-write this
Dim _invApp As Inventor.ApplicationDim occs As ComponentOccurrencesoccs = asmDoc.ComponentDefinition.Occurrences
Dim identity As Matrixidentity = _invApp.TransientGeometry.CreateMatrix Dim virtOcc As ComponentOccurrence If vp_qty >= 1 Then virtOcc = occs.AddVirtual(sVirtPart, identity) 'Try ' iProperties.Value(sVirtPart & ":1", "Project", "Description") = oProp1 ' iProperties.Value(sVirtPart & ":1", "Summary", "Title") = oProp1 'Catch 'catch error when oProp1 = nothing 'End Try
How should I re-write the text in bold , so it works?
I need to make installation plans on climate ceilings, which are steel cassettes with Meandro tube element located where cold or hot water is flowing through.
[URL]......
Now it may occur that a cassette is given a code 700 which represents the type of cassette. If inside the cassette is placed a Meandro element its become a follow number eg 700-01.
It may also be that the same cassette No. 700 gets another Meandro element and because the cassette has not changed shape the number 700 remains the same but the follow number change e.g. 700-02.
At the moment I change the number in the browser,(inv2012) I therefore want automatically the iproperties ,partnumber and stock number, to fit. When I go to the BOM, the part- and stock numbers automatically will be placed.
The browser codes are not displayed in the BOM. So if I specify for change I only have to do so in the browser. I wanted to do so by iLogic but then ran into problems. I found a tutorial from Rob Cohee with ilogic so you won’t forget to fill in your iproperties.
[URL].......
I also wanted to do so with the iproprtie Stock number but get an error stating that I must declare the name. How must i declare a name.
Also i was told for entering the browse name in ilogic i had to use displayName, but I get a error stating that the name is Read Only.
So how can i, after i change the browse name, automatically fill in the iproperties ‘part number and/or stock number? Is there an ilogic code for?
Before using iLogic, I created lot of iAssembly and iPart. I could change iPart factory member when I need in iAssembly.Now, I want to move everything to iLogic.
how could I change the part by iLogic code?
For example:
I generated "Part1.ipt" and "Part2.ipt",...... (I have hundred of member)
In my assembly, sometimes, I need use Part1.ipt, sometimes I need use Part2.ipt.
Which is the iLogic Code I should to use?
Inventor 2009, WIN XP.
Autodesk Inventor Professional 2013 (64 Bit) SP2
Windows 7 Professional Service Pack 1
Intel(R) Xeon(R) CPU E5645
12.0 GB Memory
there is a way to change the template used for a part or assembly. The problem is that I created a template to fit my needs but I had to update it and the update doesn't effect the parts created with the old version one. How do update the templates of the files created using the old template?
View 4 Replies View RelatedI got this code earlier from Curtis_Waguespack, and i would like to add a setting... When i run this rule it Derives the assembly, but LOD is set to Master, i would like it to be set to my own (Configurator) LOD...
I don't seem to be able to find anything in this code, that defines LOD...
So far im doing ok with the standard ilogic code, but when it´s API or VBA code im lost.. which leads me to this.. i've been searching the forum back and forth to find a code that performs the feature "Shrinkwrap", and somehow everything i have found so far does not work... even the code example in Inventors help menu under programming, Therefore im trying to solve this with Curtis's code as staring point..
'set a reference to the assembly component definintion.'this assumes an assembly document is open.Dim oAsmCompDef As AssemblyComponentDefinitionoAsmCompDef = ThisApplication.ActiveDocument.ComponentDefinition 'define the path and file nameDim sPathandName As StringsPathandName = ThisDoc.PathAndFileName(False)
[Code] .......
Is there a way to change the orientation of a derived part in the "new" part file?
Inventor 2012, w/SP2
Dell Precision T3500, Intel Xeon CPU
W3680 @3.33GHz, 16.0 GB of RAM
Microsoft Windows 7 Pro, 64 Bit Edition
Version 2009, w/SP1
this code works for parts. But how to change it that it works for assembly? I would like to select a part and than change the value.
m_invApp = GetObject(, "Inventor.Application")
' Get the Parameters object. Assumes a part or assembly document is active.
Dim oParameters As Parameters
oParameters = m_invApp.ActiveDocument.ComponentDefinition.Parameters
[code]........
My part color is yellow. In the assembly It shows as gray.
I cant seem to get it to change to match the part color. I used to know why this happens and knew how to fix it but seem to have forgot. How do you get this to work?
I also recently loaded 2014, but had the same problem with 2013, so its not a release issue.
How can I manually change the part density in Inventor 2012?
View 9 Replies View RelatedI like to change the dimension of the length from 388mm to 400mm to represent another similar part with another part number. Yet I still need the old part.
What is the easiest way to do so? When I use 'save as" and then change the dimension, I need to recreate the dimensions in the dwg files. Is there a way to avoid creating the dimensions?
I've been trying to change a parts color for three days.
I've seen in an example, that you can use "RenderStyle" of the "ComponentOccurrence" class.
But the "ComponentOccurence"-class doesn't have this property any longer (Inventor 2014 API).
Which property or class I can use instead of?
I'm slowly getting there with iLogic, so I'm really just looking for the function / call to change one part from Frame Generator, to another part from Frame Generator.
Product Design Suite Premium 2014
Inventor 2014 Professional
Windows 7 Professional 64 bit
Intel Xeon E3-1240 @ 3.4 ghz
Nvidia Quadro 600
8.00 gb RAM
This is my first time using Inventor but I've been using ProE for several years in school. A friend of mine told me about a feature in ProE where you are able to define a part and then define one of the lengths as it is placed into an assembly. For example I would define a 2x4 part with a length of 84inches. If I wanted a 2x4 of 68inches in my assembly I would use the same file but simply change the 84 to 68. How can I do this with Inventor?
View 1 Replies View RelatedI have several frames built by Frame Generator in project.
Than one frame has been diminished much while design so I use just several frame links just like parts without skeleton.
Those frame links I have renamed since I have several copies and I would like to have unique name. Now when I start the assembly consisting those links Inventor naturally inquires about missing files.
I show to renamed one and everything works ok except when I start the file again it asks again nevertheless file has been saved. Inventor still remember this frame link names as it used to be in browser and does not accept replacement.
[URL]........
I wish I must not rebuild those parts from scratch again. Therefore I have two questions
Is it possible to save this frame part as normal part (save as does not do it) ?
Is there some other way to get rid of Frame Generator status of some part built by Frame Gen?
I have 2 assemblies and drawings of those assemblies. in both the same part is among the parts.
I want to change the name of the part that is in both assemblies with the Design Assistant, but i am afraid that if i will choose one of them and change the part file's name, the other assembly will be damaged. is it true?
I think this might happen because when i open only the part in Design Assistant, it doesn't let me change it's name, so, Design Assistant might not know where this part is inserted in.
The commented code does not work. I want to be able to open a part and change its size parameters before i open the assembly. this code will run as an external rule in a new empty file.
If i can do it without opening the part, that is even better. Test can I open a part, change a param, then close part.
Dim fname As String
fname ="C:Workspacemy_progchanF_BB_L.ipt"
Dim pDoc as PartDocument = ThisApplication.Documents.Open(fname,False)
pDoc = ThisApplication.Documents.Open(fname)
These are just attempts to find a syntax that works. I need the method to change the parameter.
'param = pDoc.PartComponentDefinition.Parameter.Param("TKNS")
'pdoc.parameter.Param("TKNS") = 8
pdoc.Save
pdoc.Close
I have a part that was made from content center and modified further. I would like Inventor to no longer recognize this part as a content center part. It has been renamed and migrated to 2013 format, but still when inserting into an assembly the assembly recognizes it as a content center part in the browser.
Also, the browser title for the part will not update with the file name.